/* class BrowserHistory
 * Web Browser Navigation
 * CS102, Colgate University
 * 
 * This class provides some navigation functionality for the main
 * Browser program.
 * 
 * Your code will go here.  You will have to implement the following
 * 
 * + The constructor of BrowserHistory 
 *    - needs at least to set the browser variable to point to the
 *      main Browser window and 
 *    - allocates some stack instance variable(s)
 * 
 * When you need a STACK use the implementation from the textbook, i.e.
 *    -> VectorStack
 *       -----------
 * 
 * + String back()
 * + String forward()
 * 
 *   - These methods return the URLs that should be loaded when the user
 *     clicks the back and forward buttons
 *     
 *   - They are called before pages are loaded   (see lines 218 and 226 of Browser)
 *     
 *   - by default, these return null, so they effectively do nothing
 *     
 * + void hyperlink()
 * 
 *   - this method is called after a URL is successfully loaded
 *     by clicking on a hyperlink or by typing an address into the
 *     address bar
 *     
 *   - it does not get called if pages are loaded using the back
 *     or forward buttons
 *     
 *   - use it to maintain proper state of the back and forward buttons;
 *     e.g., it should reset the forward button
 *     
 *     
 * You can use the following methods from Browser to maintain the GUI:
 * 
 * browser.setBack(boolean)
 * browser.setFwd(boolean)
 *   - enables (if boolean is true) or disables (if boolean is false) the
 *     Back and Fwd buttons in the Browser window
 *     
 * browser.title(String)
 *   - sets the title of the browser window; null clears title
 *   
 * String browser.getURL()
 *   - returns the current URL of the browser
 *   - for back() and forward(), this is the URL when the button is
 *     clicked, and your method should return the new one to load
 *   - for hyperlink() it is the current (new) URL that is to 
 *      be displayed in the browser
 * 
 */



class BrowserHistory {
  
  // pointer to the browser window -- use for method calls
  private Browser browser; 
  
  protected BrowserHistory(Browser browser) { 
    
  }
  
  
  /*  ****
   *  YOUR CODE GOES HERE
   *  ****
   */
  
  // return URL to go back to
  protected String back() {
    return null;// do nothing
  }
  
  // return URL to go forward to
  protected String forward() {
    return null;  // do nothing
  }
  
  // called after a hyperlinked URL is succesfully reached
  protected void hyperlink(String url) {
    System.out.println("hyperlink called " + url);  // demonstrate when called by browser
    
    return;
  }
  
} 

